-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.35-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema csc385
--

CREATE DATABASE IF NOT EXISTS csc385;
USE csc385;

--
-- Definition of table `authors`
--

DROP TABLE IF EXISTS `authors`;
CREATE TABLE `authors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `authors`
--

/*!40000 ALTER TABLE `authors` DISABLE KEYS */;
INSERT INTO `authors` (`id`,`name`,`email`) VALUES 
 (1,'John Doe1','john.doe@nowhere.com'),
 (2,'Abbas El Khoury asdf','abbaskhoury@somewhere.com'),
 (3,'John Doe','johndoe@nowhere.com');
/*!40000 ALTER TABLE `authors` ENABLE KEYS */;


--
-- Definition of table `comments`
--

DROP TABLE IF EXISTS `comments`;
CREATE TABLE `comments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `email` varchar(150) NOT NULL,
  `comment` text NOT NULL,
  `news_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_comments_1` (`news_id`),
  CONSTRAINT `FK_comments_1` FOREIGN KEY (`news_id`) REFERENCES `news` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `comments`
--

/*!40000 ALTER TABLE `comments` DISABLE KEYS */;
INSERT INTO `comments` (`id`,`name`,`email`,`comment`,`news_id`) VALUES 
 (1,'Abbas El Khoury','abbaskhoury@somewhere.com','Bet3a22ed ya3tik el 3afyeh w khallik b hal hemmeh.',1),
 (2,'John Doe','john.doe@nowhere.com','Thx ya man w thx a lot w thx again.',2);
/*!40000 ALTER TABLE `comments` ENABLE KEYS */;


--
-- Definition of table `news`
--

DROP TABLE IF EXISTS `news`;
CREATE TABLE `news` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `author_id` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `details` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_news_1` (`author_id`),
  CONSTRAINT `FK_news_1` FOREIGN KEY (`author_id`) REFERENCES `authors` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `news`
--

/*!40000 ALTER TABLE `news` DISABLE KEYS */;
INSERT INTO `news` (`id`,`title`,`author_id`,`date`,`details`) VALUES 
 (1,'Lorem Ipsum Delor Sit Amet',1,1257838314,'Donec purus nunc, eleifend quis vestibulum vel, luctus eget dolor. Suspendisse ut pellentesque nisi. Quisque eget mi lectus. Vestibulum ac tellus eget risus facilisis tempor. Nulla in nibh vitae justo condimentum laoreet? In viverra faucibus diam, et ultricies massa aliquam quis. Ut gravida fermentum nibh, et facilisis eros laoreet tempor! Cras condimentum posuere enim, sed ornare nunc convallis vitae! Donec varius diam nec enim ultricies vel feugiat felis rhoncus. Vivamus venenatis turpis quis tellus malesuada in scelerisque tortor rutrum! Suspendisse ut orci eget nibh porta malesuada non eleifend tortor. Fusce egestas, turpis eu molestie vestibulum, massa metus consectetur lectus, in mollis magna diam eget urna. Pellentesque dolor risus, consectetur ut varius in, congue non velit. Duis quis metus turpis! Pellentesque blandit sapien a arcu porta in sollicitudin nisi tincidunt! Integer felis nunc; sodales vitae placerat in, aliquet non ligula. Etiam convallis placerat nulla eu auctor! Aenean iaculis suscipit tellus, at egestas ipsum sagittis vitae.'),
 (2,'Sitos Brita Prei Mila Kon',2,1257848314,'Donec purus nunc, eleifend quis vestibulum vel, luctus eget dolor. Suspendisse ut pellentesque nisi. Quisque eget mi lectus. Vestibulum ac tellus eget risus facilisis tempor. Nulla in nibh vitae justo condimentum laoreet? In viverra faucibus diam, et ultricies massa aliquam quis. Ut gravida fermentum nibh, et facilisis eros laoreet tempor! Cras condimentum posuere enim, sed ornare nunc convallis vitae! Donec varius diam nec enim ultricies vel feugiat felis rhoncus. Vivamus venenatis turpis quis tellus malesuada in scelerisque tortor rutrum! Suspendisse ut orci eget nibh porta malesuada non eleifend tortor. Fusce egestas, turpis eu molestie vestibulum, massa metus consectetur lectus, in mollis magna diam eget urna. Pellentesque dolor risus, consectetur ut varius in, congue non velit. Duis quis metus turpis! Pellentesque blandit sapien a arcu porta in sollicitudin nisi tincidunt! Integer felis nunc; sodales vitae placerat in, aliquet non ligula. Etiam convallis placerat nulla eu auctor! Aenean iaculis suscipit tellus, at egestas ipsum sagittis vitae.');
/*!40000 ALTER TABLE `news` ENABLE KEYS */;


--
-- Definition of table `rating`
--

DROP TABLE IF EXISTS `rating`;
CREATE TABLE `rating` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `news_id` int(10) unsigned NOT NULL,
  `rating` int(2) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_rating_1` (`news_id`),
  CONSTRAINT `FK_rating_1` FOREIGN KEY (`news_id`) REFERENCES `news` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rating`
--

/*!40000 ALTER TABLE `rating` DISABLE KEYS */;
INSERT INTO `rating` (`id`,`news_id`,`rating`) VALUES 
 (1,1,4),
 (2,1,5),
 (3,1,3),
 (4,1,4),
 (5,1,4),
 (6,1,2),
 (7,2,2),
 (8,2,5),
 (9,2,5),
 (10,2,5),
 (11,2,5),
 (12,2,5);
/*!40000 ALTER TABLE `rating` ENABLE KEYS */;


--
-- Definition of table `session`
--

DROP TABLE IF EXISTS `session`;
CREATE TABLE `session` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `session_id` varchar(50) NOT NULL,
  `username` varchar(50) NOT NULL,
  `last_action` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Index_3` (`session_id`),
  KEY `FK_session_1` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `session`
--

/*!40000 ALTER TABLE `session` DISABLE KEYS */;
INSERT INTO `session` (`id`,`session_id`,`username`,`last_action`) VALUES 
 (1,'4b272b5a80a86','user',1260858202),
 (2,'4b272e77ab8d4','user',1260858999),
 (5,'4b2734fb0483e','user',1260861459),
 (6,'4b29cd16d0a3b','user',1261032635);
/*!40000 ALTER TABLE `session` ENABLE KEYS */;


--
-- Definition of table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Index_2` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`,`username`,`password`) VALUES 
 (2,'user','5f4dcc3b5aa765d61d8327deb882cf99');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
